<?php
session_start();
require("conexion.php");
if(isset($_SESSION['nom_admin'])==false){
    header('Location: index.php');
}else{

    $nom = $_SESSION['nom_admin'];
    $priv = $_SESSION['Priv'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
if($iduser != 8){
if($suc == 1){
    $pre = 'CUL-';
    $not = 'NV';
    $sucn = 'SUCURSAL CULIACAN';
}else if ($suc == 2){
    $pre = 'MAZ-';
    $not = 'NV';
    $sucn = 'SUCURSAL MAZATLAN';
}else if($suc == 3){
    $pre = 'HER-';
    $not = 'NV';
    $sucn = 'SUCURSAL HERMOSILLO';
}
}else{
    header('Location: busqueda.php');
}
}

?>
<html>
    <head>
        <meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Nueva orden</title>
<link href="./bootstrap/css/bootstrap.css" rel="stylesheet">
<link href="./bootstrap/css/bootstrap.min.css" rel="stylesheet">
<link href="./bootstrap/css/bootstrap-theme.css" rel="stylesheet">
<link href="./bootstrap/css/bootstrap-theme.min.css" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="css/prueba.css">

        

        <?php
			require ("./Funciones/funciones.php");
			$conexion = conecta();
			
            $limpiarv = mysqli_query($conexion,"DELETE FROM VentasDetalle WHERE Serie IS NULL AND IdVenta = '0' AND IdUsuario = '$iduser' AND IdSucursal = '$suc';");

            $limpiarm = mysqli_query($conexion,"DELETE FROM MovDetalle WHERE Serie IS NULL AND IdVenta = '0' AND IdMovimiento IS NULL AND IdUsuario = '$iduser' AND IdSucursal = '$suc';");
			

        ?>
        

        <style type="text/css">


input{
    width:90%;
    text-align: right;
}
select{
    width:100%;
}
#menu{
/*estilo de nuestra lista*/
background-color:#3EA55D;
list-style:none;
width:100%;
position:absolute;
display:block;
height:36px;
}
#menu li{
/*estilo a cada uno de los elementos(li) de nuestro menu*/
float:left;/* propiedad importante para que nuestro menu tome la forma horizontal*/
display:block;
position:relative;
}
#menu li a{
/*estilo de los enlaces */
color:#FFF;
text-decoration:none;
font-family:Helvetica, Arial, sans-serif;
font-size:14px;
line-height:1.3em;
padding:10px 14px 8px 16px;
display:block;
}
#menu li ul{
/*estilo de los submenus*/
width:280px;
background:#FFF;
border:1px #CCC solid;
display:none; /*importante para que los submenus no estén visibles*/
position:absolute;
z-index:999;
margin-top:0px;
}
#menu li ul li{
/*estilo a cada uno de los elementos(li) de nuestro submenu*/
width:100%;
list-style:none;
display:block;
}
#menu li ul li a{
/*estilo a cada uno de los enlaces de nuestro submenu*/
color:#3EA55D;
font-size:14px;
line-height:1.3em;
display:block;
font-weight:normal;
padding:8px
}
#menu li ul li a:hover{
/*un poco de decoracion a los enlaces de nuestro submenu al estar el cursor sobre ellos con ayuda de el selector :hover */
background-color:#b1dbbe;
color:#64b77d;
text-decoration:underline;
}
#menu li:hover ul{
/*con este selector definimos que cuando el cursor este sobre un elemento(li) que contenga un elemento(ul) dentro le asigne la propiedad display:block; para que este a su vez pase de invisible a visible*/
display:block;
}
       </style>
    </head>
	<body>

<?php include('menu.php');
date_default_timezone_set('America/Mazatlan');
$fol = mysqli_query($conexion,"SELECT * FROM Ventas WHERE IdSucursal = '$suc'");
if(mysqli_num_rows($fol)>0){
    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE IdSucursal = '$suc' AND Serie = '$pre' AND Activo = 1 order by FolioVenta desc limit 1");
    $f = mysqli_fetch_array($foli);
    $num = $f['FolioVenta']+1;
    $num = sprintf('%04d',$num);
    $folio = $pre.$num;
}else{
    $num = sprintf('%04d', 1);
    $folio = $pre.$num;
}

                            
?>
<br>
<br>
<br>
<br>
<br>
<br>
<div id="section" align="center">
        <table id="tablaord" class="table table-bordered table-condensed table-hover" style="max-width:960px;">           
        <thead>
            <tr>
                <td>Tipo de orden: </td>
                <td colspan="1"><select id="tipoord" name="tipoord" >
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" selected>Orden</option>
                   <?php if($suc == 1){ ?>
                    <option value="2">Cotizacion</option>
                    <?php } ?>
                    <?php if($iduser == 2 || $iduser == 14 || $iduser == 16){?><option value="3">Perdida</option><?php } ?>
                </select></td>
                <td>Vendedor: </td>
                <td colspan="1"><select id="empleado" disabled>
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" <?php if($iduser== 1){ echo 'selected';}?> ><?php echo $nom; ?></option>
                    <option value="2" <?php if($iduser== 2){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="3" <?php if($iduser== 3){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="4" <?php if($iduser== 4){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="5" <?php if($iduser== 5){ echo 'selected';}?> ><?php echo $nom; ?></option>
                    <option value="6" <?php if($iduser== 6){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="7" <?php if($iduser== 7){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="8" <?php if($iduser== 8){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="9" <?php if($iduser== 9){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="10" <?php if($iduser== 10){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="11" <?php if($iduser== 11){ echo 'selected';}?> ><?php echo $nom; ?></option>
                    <option value="12" <?php if($iduser== 12){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="13" <?php if($iduser== 13){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="14" <?php if($iduser== 14){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="15" <?php if($iduser== 15){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="16" <?php if($iduser== 16){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="16" <?php if($iduser== 16){ echo 'selected';}?>><?php echo $nom; ?></option>
                    <option value="16" <?php if($iduser== 99){ echo 'selected';}?>><?php echo $nom; ?></option>
                </select></td>
            </tr>
            <tr>
                <td>Sucursal: </td>
                <td colspan="1"><select id="succallcenter" name="succallcenter" <?php if($iduser != 99){ echo 'disabled'; }?>>
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" <?php if($suc == 1){ echo 'selected'; }?>>Culiacan</option>
                    <option value="2" <?php if($suc == 2){ echo 'selected'; }?>>Mazatlan</option>
                    <option value="3" <?php if($suc == 3){ echo 'selected'; }?>>Hermosillo</option>
                </select></td>
                
            </tr>
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>
                
            </tr> 
            
            <th style="text-align:center;" colspan="4" class="metpag" >DATOS DE LA ORDEN</th>
            
            <tr>
                <td>FOLIO: </td>
                <td colspan="2"><input type="text" class="form-control" id="folio" value="<?php echo $folio; ?>" disabled/></td>
                <td colspan="1"><select id="tipofolio" disabled>
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" selected>Factura</option>
                    <?php if($suc == 1){ ?>
                    <option value="2">Nota de venta</option>
                <?php 
                }
                ?>
                </select></td>
            </tr>
            <tr>
                <td>Fecha: </td>
                <td colspan="1"><input type="date" class="form-control" id="FechaOrden" value="<?php echo date("Y-m-d");?>" disabled="disabled"/></td>
            </tr>
            
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>
            </tr> 

        </table>

        <table id="tablaord" class="table table-bordered table-condensed table-hover" style="max-width:960px;"> 
<!-- Remitente -->            
        <tr>
            <th style="text-align:center;" colspan="4" class="metpag" >DATOS DEL CLIENTE</th>
            
        </tr>
        </thead>
        <tbody>
            <tr>
                <td>Cliente:</td>
                <td colspan="2"><input type="text" class="ui-widget" id="codCliente" placeholder="Busca por codigo o nombre"/></td>
                <td><input type="button" value="Nuevo Cliente" data-toggle="modal" data-target="#modalAsistencia" class="btn btn-primary"/></td>
                
            </tr>
            <tr>
                <td colspan="1">Selecciona una opcion:</td>
                <td colspan="2">
                    <div id="cliente"><select id="clientesa"><option value="" disabled selected>Escoge una opcion</option></select></div>
                </td>  
                <td><input type="button" value="Editar Cliente" data-toggle="modal" data-target="#modalAsistencia" class="btn btn-primary" id="editarCliente"/></td>
            </tr>   
            <tr>
                <td>Nombre: </td>
                <td colspan="1"><input type="text" class="form-control" id="nomCliente" disabled="disabled"/></td>
                <td>Domicilio:</td>
                <td colspan="1"><input type="text" class="form-control" id="domCliente" disabled="disabled"/></td>
                
            </tr>
            
            <tr>
                <td>Tipo de Cliente: </td>
                <td colspan="1"><input type="text" class="form-control" id="tipoInfo" disabled="disabled" /></td>
                <td>Telefono / Celular:</td>
                <td colspan="1"><input type="text" class="form-control" id="telcel" disabled="disabled"/></td>
                
            </tr>
            <tr>
                <td>Correo:</td>
                <td colspan="3"><input type="text" class="form-control" id="correoInfo" disabled="disabled"/></td>
                
            </tr>
        <tr>
        </table>
<!-- Remitente-->            
<!--Destinatario -->

        <table id="tablaagprod" class="table table-bordered table-condensed table-hover" style="max-width: 960px;">
            
            <tr>
                <th  class="metpag" colspan="7">Agregar producto</th>
            </tr>
            <tr>
                <th  class="metpag" colspan="1">Cantidad</th>
                <th  class="metpag" colspan="3" style="text-align: center;">Area</th>
                <th  class="metpag" colspan="3" style="text-align: center;">Selecciona un producto</th>

            </tr>
            <tr>
                <td colspan="1"><input type="number" class="ui-widget" id="canti" value="1" name="Cantidad" style="width:85px"/></td>
                <td colspan="1"><input type="number"  id="largo" placeholder="Largo" name="largo"  style="width:100px" /></td>
                <td colspan="1"><input type="number"  id="ancho" placeholder="Ancho" name="ancho" style="width:100px"/></td>
                <td><select id="unidmed" style="width:100px">
                    <option value="0" > Selecciona una opcion</option>
                    <option value="1" selected>CM</option>
                    <option value="2">IN</option>
                </select></td>
                <td>Codigo:</td>
                <td colspan="1"><input type="text"  id="codP" placeholder="Busca por codigo o nombre"/></td>
                <td colspan="1">
                    <div id="productoabc"><select id="pa"><option value="0" disabled selected>Escoge una opcion</option></select></div>
                </td> 
            </tr>
</div>

            
          
            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr> 
           
            <tr>
                <td>Cristal Normal</td>
                <td>Cristal Antirreflejante</td>
                <td>Maria Luisas</td>
                <td>Respaldo</td>
                <td colspan="1">Papel Fotografico</td>
                <td>Textura</td>
                <td colspan="1"> Maquila</td>
            </tr>

            <tr >
                
                <td colspan="1" align="right">
                    <select id="crisnorm">
                                    <option value="1" >Sencillo</option>
                                    <option value="2">Doble</option>
                                    <option value="4">Espejo sencillo</option>
                                    <option value="3" selected>No aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="crisanti">
                                    <option value="1" >Sencillo</option>
                                    <option value="3" selected>No aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="marialuisa">
                                    <option value="1" >Sencillo</option>
                                    <option value="2">Doble</option>
                                    <option value="3" selected>No aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="respaldo">
                                    <option value="0" selected>No Aplica</option>
                                    <option value="1" >Macocell 3mm</option>
                                    <option value="5" >Macocell 6mm</option>
                                    <option value="6" >Macocell 9mm</option>
                                    <option value="2">Foamboard</option>
                                    <option value="3">PVC</option>
                                    <option value="4">Alubond</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="papel">
                                    <option value="0" selected>No Aplica</option>
                                    <option value="1" >Everyday</option>
                                    <option value="2">Mate</option>
                                    <option value="3" >Premium</option>
                                    <option value="4" >Artistico</option>
                                    <option value="5" >Perlado</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="textura">
                                    <option value="0" selected>No Aplica</option>
                                    <option value="1" >Piel</option>
                                    <option value="2">Lino</option>
                                    <option value="3">Sand</option>
                                </select>
                </td>
                <td><input type="number" id="maquila" value="0"></td>
            </tr>


            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td>Canva</td>
                <td>Acrilico</td>
                <td>Doble cara</td>
                <td>Tira Completa</td>
                <td colspan="1">Caja / Envio</td>
                <td colspan="1">Extras</td>
                <td colspan="1"><br></td>
            </tr>
            <tr >
                
                <td colspan="1" align="right">
                    <select id="canva">
                                    <option value="0" selected>No aplica</option>
                                    <option value="1">Si aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="acrilico">
                                    <option value="0" selected >No aplica</option>
                                    <option value="1" >Si aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="doblecara">
                                    <option value="0" selected>No aplica</option>
                                    <option value="1" >Si aplica</option>
                                </select>
                </td>
                <td colspan="1" align="right"><select id="tiracom">
                                    <option value="0" selected>No aplica</option>
                                    <option value="1" >Si aplica</option>
                                </select>
                </td>
                <td colspan="1">
                    <select id="enviocaja" >
                        <option value="0" selected>No aplica</option>
                        <option value="1" disabled>Chica sin Envio</option>
                        <option value="2" disabled>Mediana sin Envio</option>
                        <option value="3" disabled>Grande sin Envio</option>
                        <option value="4" disabled>Chica con Envio</option>
                        <option value="5" disabled>Mediana con Envio</option>
                        <option value="6" disabled>Grande con Envio</option>
                    </select>
                </td>
                <td colspan="1"><select id="extrasprod" >
                        <option value="0" selected>No aplica</option>
                        <option value="1" disabled>Pata Chica</option>
                        <option value="2" disabled>Pata Grande</option>
                        <option value="3" disabled>Colgadera caiman</option>
                        <option value="4" disabled>Palo portarretrato</option>
                    </select></td>
                <td colspan="1"><input type="button" value="Calcular"  class="btn btn-primary" id="calc"/></td>
            </tr> 

            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td>Observaciones del producto:</td>
                <td colspan="6"><input type="text" class="form-control" id="obsOrden" /></td>
            </tr> 
            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr> 
             <tr>
                <td class="precio"><p id="preciomold">Precio producto</p></td>
                <td class="crisnorma"><p id="crisnormal">Cristal sencillo</p></td>
                <td class="crisant"><p id="crisantir">Cristal antirreflejante</p></td>
                <td class="ml"><p id="ml2">Maria Luisa</p></td>
                <td class="res"><p id="resp">Macocell 3 mm</p></td>
                <td class="pap"><p id="pape">Papel Fotografico</p></td>
                <td class="text"><p id="textu">Textura</p></td>
                
            </tr>
            <tr>
                <td class="precio"><span>$</span><input type="number" name="precio" id="totprecio" disabled></td>
                <td class="crisnorma"><span>$</span><input type="number" name="crisnormal" id="totcrisnorm" disabled></td>
                <td class="crisant"><span>$</span><input type="number" name="crisanti" id="totcrisanti" disabled></td>
                <td class="ml"><span>$</span><input type="number" name="ml" id="totml" disabled></td>
                <td class="res"><span>$</span><input type="number" name="respaldo" id="totres" disabled></td>
                <td class="pap"><span>$</span><input type="number" name="crisnormal" id="totpap" disabled></td>
                <td class="text"><span>$</span><input type="number" name="crisnormal" id="tottext" disabled></td>
                
            </tr>
             <tr>
                <td class="precioc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="precio" id="totprecioc" disabled></td>
                <td class="crisnormac" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="crisnormal" id="totcrisnormc" disabled></td>
                <td class="crisantc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="crisanti" id="totcrisantic" disabled></td>
                <td class="mlc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="ml" id="totmlc" disabled></td>
                <td class="resc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="respaldo" id="totresc" disabled></td>
                <td class="papc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="crisnormal" id="totpapc" disabled></td>
                <td class="textc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="crisnormal" id="tottextc" disabled></td>

                
            </tr>
            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td class="canva"><p id="canv">Canva</p></td>
                <td class="dobcar"><p id="dobca">Doble cara</p></td>
                <td class="acrilico"><p id="acrilic">Acrilico</p></td>
                <td class="tira"><p id="tir">Tira Completa</p></td>
                <td colspan="2"></td>
                <td> Precio total</td>
                
            </tr>
            <tr>
                <td class="canva"><span>$</span><input type="number" name="precio" id="totcanva" disabled></td>
                <td class="dobcar"><span>$</span><input type="number" name="crisnormal" id="totdobca" disabled></td>
                <td class="acrilico"><span>$</span><input type="number" name="crisanti" id="totacrilico" disabled></td>
                <td class="tira"><span>$</span><input type="number" name="TiraCom" id="tottira" disabled></td>
                <td colspan="2"><br></td>
                <td><span>$</span><input type="number" name="total" id="preciototal" disabled></td>
                
            </tr>
            <tr>
                <td class="canvac" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="precio" id="totcanvac" disabled ></td>
                <td class="dobcarc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="crisnormal" id="totdobcac" disabled></td>
                <td class="acrilicoc" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="crisanti" id="totacrilicoc" disabled></td>
                <td class="tirac" <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="crisanti" id="tottirac" disabled></td>
                <td colspan="2" <?php if($iduser != 2){ echo 'hidden';}?>><br></td>
                <td <?php if($iduser != 2){ echo 'hidden';}?>><span>$</span><input type="number" name="total" id="preciototalc" disabled ></td>
                
            </tr>

            <tr>
                <td colspan="3"></td>
                <td colspan="1" align="right"><input type="button" value="Limpiar"  class="btn btn-primary" id="LimpiarAgP"/></td>
                <td></td>
                <td colspan="2" align="right"><input type="button" value="Agregar producto"  class="btn btn-primary" id="GuardProdCuad"/></td>
            </tr>
            
            <tr>
                <th colspan="7" class="metpag"><br></th>
                
            </tr>

            
        </table>

                         <!-- 
            
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>    
            </tr> 
            
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>    
            </tr>
             
            
            
            
        -->        

        <table id="tablaorden" class="table table-bordered table-condensed table-hover" style="max-width:960px;">
            <th style="text-align:center;" colspan="4" class="metpag" >IMPORTE</th>
            
            <tr >
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Subtotal</td>
                <td colspan="1" ><span>$</span><input type="number" id="totalOrden" value="0" align="right" disabled/></td>
            </tr>
            <tr class="filaSeguro">
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Descuento %</td>
                <td colspan="1" ><span>%</span><input type="number" id="dctoOrden" value="0" align="right" maxlength="2" <?php  if($suc!= 1){ echo 'disabled="disabled"'; }?>/></td>
            </tr>
            <tr class="filaSeguro">
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Total</td>
                <td colspan="1" ><span>$</span><input type="number" id="totalFinal" value="0" align="right" disabled/></td>
            </tr>
            <tr class="filaSeguro">
                <td colspan="1"></td>
                <td><input type="button" name="editar" value="Monedero" id="monelec" class="btn btn-primary" data-toggle="modal" data-target="#modalMonedero"></td>
                <td colspan="1" class="metpag">Saldo Monedero</td>
                <td colspan="1" ><span>$</span><input type="number" id="saldoMon" value="0" align="right" disabled/></td>
            </tr>

            <tr class="filaSeguro" <?php if($iduser != 2){ echo 'hidden';}?>>
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Costo total</td>
                <td colspan="1" ><span>$</span><input type="number" id="costo" value="0" align="right" disabled/></td>
            </tr>
            <tr class="filaSeguro" <?php if($iduser != 2){ echo 'hidden';}?>>
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Ganancia</td>
                <td colspan="1" ><span>$</span><input type="number" id="utilidad" value="0" align="right" disabled/></td>
            </tr>

            <tr  id="cobroEntrega" class="filaEntrega" >
                <td colspan="1"></td>
                <td colspan="1"><select id="metodopago">
                                    <option value="0" selected>Selecciona un metodo de pago</option>
                                    <option value="1">Efectivo</option>
                                    <option value="2">Depositos</option>
                                    <option value="3">Tarjeta bancaria</option><!-- 
                                    <option value="4">Monedero electronico</option> -->

                </select></td>
                <td colspan="1" class="metpag">Anticipo</td>
                <td colspan="1" ><span>$</span><input type="number" id="antiOrden" value="0" align="right"/></td>
            </tr>
            <tr>
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Anticipo Monedero</td>
                <td colspan="1" ><span>$</span><input type="number"  id="antiMoneOrden" disabled="disabled" value="0" disabled align="right"/></td>
            </tr>
            <tr>
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Saldo restante</td>
                <td colspan="1" ><span>$</span><input type="number"  id="saldoOrden" disabled="disabled" value="0" disabled align="right"/></td>
            </tr>
            <tr>
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Saldo restante en monedero</td>
                <td colspan="1" ><span>$</span><input type="number"  id="saldoMonOrden" disabled="disabled" value="0" disabled align="right"/></td>
            </tr>
            <!-- <tr>
                <td colspan="2"></td>
                <td colspan="1" class="metpag">Monedero electronico</td>
                <td colspan="1" ><span>$</span><input type="number"  id="saldoOrden" disabled="disabled" value="0" disabled align="right"/></td>
            </tr> -->
            <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>    
            </tr> 
            <tr>
                <td>Observaciones del pedido:</td>
                <td colspan="3"><input type="text" class="form-control" id="obsPedido" width="100%" /></td>
            </tr>
        
            <th style="text-align:center;" colspan="4" class="metpag" >FECHA DE ENTREGA</th>
            
        </tr>
            <tr>
                <td>Hora de entrega: </td>
                <td colspan="1"><input type="time" class="form-control" id="hrent" value="<?php echo date("h:i"); ?>"/></td>
                <td>Fecha de entrega: </td>
                <td colspan="1"><input type="date" class="form-control" id="fechaent" value="<?php echo date("Y-m-d");?>"/></td>
            </tr>
            <tr>
                <tr>
                <th width="100%" colspan="4" class="metpag"><br></th>
                
            </tr>
            <tr>
                <td colspan="3"></td>
                <td colspan="1" align="right"><input type="button" value="Guardar pedido"  class="btn btn-primary" id="GuardOrd"/></td>
            </tr>
 
            </tbody>
            </table>

</div>


<div class="modal fade" id="modalAsistencia" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              <h4 class="modal-title" id="myModalLabel"><b>Registro de clientes</b></h4>
            </div>
            <div class="modal-body">
            <fieldset><legend>1. Nuevo Cliente</legend>
                <table class="tbl-registro" width="100%">
                    <tr>
                        <?php
                    
                            $sql2 = mysqli_query($conexion,"SELECT * FROM Clientes");
                            if(mysqli_num_rows($sql2)>0){

                                $folioA = mysqli_query($conexion,"SELECT IdCliente from Clientes order by IdCliente desc limit 1");
                                $folio2A = mysqli_fetch_array($folioA);
                                $cod = $folio2A['IdCliente']+1;
                            }else{
                                $cod = 01;
                            }

                        ?>
                        <td>Codigo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="codRegistro" disabled="disabled"  value="<?php echo $cod ?>"/></td>
                        <td>Fecha de Registro: </td>
                        <td colspan="2"><input type="text" class="form-control" value="<?php echo date('d-m-Y'); ?>" disabled="disabled"/></td>
                    </tr>
                    <tr>
                        <td>Nombre: </td>
                        <td colspan="3"><input type="text" class="form-control" id="nomRegistro" /></td>
                        <td>Tipo de cliente</td>
                        <td colspan="1"><select id="tipoCliente" name="tipocliente">
                                    <option value="1" selected>Mostrador</option>
                                    
                                    <option value="2" >Fotografo</option>
                                    
                                </select></td>
                    </tr>
                    <tr>
                        <td>RFC: </td>
                        <td colspan="5"><input type="text" class="form-control" id="rfcRegistro" /></td>
                    </tr>
                    <tr>
                        <td>Domicilio: </td>
                        <td colspan="5"><input type="text" class="form-control" id="domRegistro" /></td>
                    </tr>
                    <tr>
                        <td>Correo: </td>
                        <td colspan="5"><input type="text" class="form-control" id="corRegistro" /></td>
                    </tr>
                    <tr>
                        <td>Telefono: </td>
                        <td colspan="2"><input type="text" class="form-control" id="telRegistro" /></td>
                        <td>Celular: </td>
                        <td colspan="2"><input type="text" class="form-control" id="celRegistro" /></td>
                    </tr>
                    <tr>
                        <td>Sucursal: </td>
                        <td colspan="2"><select id="sucRegistro" name="Sucursal">
                            <option value="0" >Selecciona una opcion</option>
                            <option value="1" selected >Culiacan</option>
                            <option value="2" >Mazatlan</option>
                            <option value="3" >Hermosillo</option>
                            </select></td>
                        <td>Descuento fijo: </td>
                        <td colspan="2"><input type="number" class="form-control" id="descRegistro" /></td>
                    </tr>
                    <?php if($iduser == 2){ ?>
                    <tr>
                        <td>Tipo de nota: </td>
                        <td colspan="2"><select id="notCliente" name="tiponota" disabled>
                            <option value="0" >Selecciona una opcion</option>
                            <option value="1" selected >Folios fiscales</option>
                            
                            <option value="2" >Notas de venta</option>
                            </select></td>
                    </tr>
                    <?php } ?>

                </table>
                </fieldset>
                <div class="modal-footer">
                    <input type="button"  class="btn btn-default" id="clienteg"  value="Guardar"/>
                    <input type="button"  class="btn btn-default" id="actcliente"  value="Actualizar"/>
                </div>
                <div id="mensaje"></div>
                
                
            </div>
          </div>
        </div>
      </div>

      <div class="modal fade" id="modalMonedero" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              <h4 class="modal-title" id="myModalLabel"><b>Monedero Electrónico</b></h4>
            </div>
            <div class="modal-body">
            <fieldset><legend>Verificar monedero</legend>
                <table class="tbl-registro" width="100%">
                    <tr>
                        <?php
                    
                            

                        ?>
                        <td>Saldo Monedero: </td>
                        <td colspan="2"><input type="number" class="form-control" id="saldoMonedero" disabled="disabled"  value="0"/></td>
                        <td>Total de la orden: </td>
                        <td colspan="2"><input type="number" class="form-control" id="totalordmon" value="0" disabled="disabled"/></td>
                    </tr>
                    <tr>
                        <td>Monedero:</td>
                        <td colspan="2"><input type="number" class="form-control" id="usomon" value="0" /></td>
                    </tr>
                    <tr>
                        <td>Total aplicado:</td>
                        <td colspan="2"><input type="number" class="form-control" id="totalcmon" value="0" disabled/></td>
                    </tr>
                    

                </table>
                </fieldset>
                <div class="modal-footer">
                    <input type="button"  class="btn btn-default" id="aplicMon"  value="Aplicar"/>
                </div>
                <div id="mensaje"></div>
                
                
            </div>
          </div>
        </div>
      </div>

    <script src="js/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
    <script src="../bootstrap/js/bootstrap.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {

            function decimalAdjust(type, value, exp) {
    // Si el exp no está definido o es cero...
    if (typeof exp === 'undefined' || +exp === 0) {
      return Math[type](value);
    }
    value = +value;
    exp = +exp;
    // Si el valor no es un número o el exp no es un entero...
    if (isNaN(value) || !(typeof exp === 'number' && exp % 1 === 0)) {
      return NaN;
    }
    // Shift
    value = value.toString().split('e');
    value = Math[type](+(value[0] + 'e' + (value[1] ? (+value[1] - exp) : -exp)));
    // Shift back
    value = value.toString().split('e');
    return +(value[0] + 'e' + (value[1] ? (+value[1] + exp) : exp));
  }

  // Decimal round
  if (!Math.round10) {
    Math.round10 = function(value, exp) {
      return decimalAdjust('round', value, exp);
    };
  }
  // Decimal floor
  if (!Math.floor10) {
    Math.floor10 = function(value, exp) {
      return decimalAdjust('floor', value, exp);
    };
  }
  // Decimal ceil
  if (!Math.ceil10) {
    Math.ceil10 = function(value, exp) {
      return decimalAdjust('ceil', value, exp);
    };
  }
            
            $('#actcliente').hide();
    function clienteeditar(id){
        
        $.ajax({
            type:'POST',
            url:'./clientebuscar.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                var separar = datos.split("|");
                var nom = separar[0];
                var dom = separar[1];
                var rfc = separar[2];
                var cel = separar[3];
                var tel = separar[4];
                var ciu = separar[5];
                var suc = separar[6];
                var tipo = separar[7];
                var cor = separar[9];
                var desc = separar[10];
                var tiponota = separar[11];
                
                $('#codRegistro').val(id);
                $('#nomRegistro').val(nom);
                $('#domRegistro').val(dom);
                $('#rfcRegistro').val(rfc);
                $('#celRegistro').val(cel);
                $('#telRegistro').val(tel);
                $('#corRegistro').val(cor);
                $('#descRegistro').val(desc);
                document.getElementById('sucRegistro').value=suc;
                document.getElementById('tipoCliente').value=tipo;
                document.getElementById('notCliente').value=tiponota;
                $('#clienteg').hide();
                $('#actcliente').show();

                }else{
                    alert(datos);
                }
            }
            });
    }
    $('#editarCliente').click(function(){
        var cliente = $('#codCliente').val();
        if(cliente > 0){
        clienteeditar(cliente);
        $('#clienteg').hide();
        $('#actcliente').show();
        }else{
            $('clienteg').show();
            $('#actcliente').hide();
        }
    });
/*
            var refresh_rate = 600; //<-- In seconds, change to your needs
    var last_user_action = 0;
    var has_focus = false;
    var lost_focus_count = 0;
    var focus_margin = 10; // If we lose focus more then the margin we want to refresh


    function reset() {
        last_user_action = 0;
        console.log("Reset");
    }

    function windowHasFocus() {
        has_focus = true;
    }

    function windowLostFocus() {
        has_focus = false;
        lost_focus_count++;
        console.log(lost_focus_count + " <~ Lost Focus");
    }

    setInterval(function () {
        last_user_action++;
        refreshCheck();
    }, 1000);

    function refreshCheck() {
        var focus = window.onfocus;
        if ((last_user_action >= refresh_rate && !has_focus && document.readyState == "complete") || lost_focus_count > focus_margin) {
            window.location.reload(); // If this is called no reset is needed
            reset(); // We want to reset just to make sure the location reload is not called.
        }

    }
    window.addEventListener("focus", windowHasFocus, false);
    window.addEventListener("blur", windowLostFocus, false);
    window.addEventListener("click", reset, false);
    window.addEventListener("mousemove", reset, false);
    window.addEventListener("keypress", reset, false);*/
            $('.crisant').hide();
            $('.crisnorma').hide();
            $('.res').hide();
            $('.tira').hide();
            $('.tirac').hide();
            $('.ml').hide();
            $('.pap').hide();
            $('.text').hide();
            $('.canva').hide();
            $('.dobcar').hide();
            $('.acrilico').hide();
            $('.crisantc').hide();
            $('.resc').hide();
            $('.mlc').hide();
            $('.papc').hide();
            $('.textc').hide();
            $('.canvac').hide();
            $('.dobcarc').hide();
            $('.acrilicoc').hide();
            $('.crisnormac').hide();

            $('#monelec').click(function(){
                var saldomon = $('#saldoMon').val();
                var totfin = $('#totalFinal').val();
                var antiord = $('#antiOrden').val();

                $('#saldoMonedero').val(saldomon);
                $('#totalordmon').val(totfin);

            });
            $('#usomon').keyup(function(){
                var saldo = parseFloat($('#saldoMonedero').val());
                var total = parseFloat($('#totalordmon').val());

                var mon = parseFloat($('#usomon').val());
                if(mon < saldo && mon <= total){
                var calculo = total - mon;
                $('#totalcmon').val(calculo);
                }else if(mon>saldo){
                    alert('El monto que quieres introducir es mayor al saldo del monedero.');
                }else if(mon > total){
                    alert('El monto que quieres introducir es mayor al total de la orden.');
                }
            });
            $('#aplicMon').click(function(){
                var usadomon = $('#usomon').val();
                var saldo = parseFloat($('#saldoMonedero').val());
                var saldot = parseFloat($('#saldoOrden').val());
                var mon = parseFloat($('#usomon').val());
                var restantem = Math.floor(saldo - mon);
                var restantet = Math.floor(saldot -mon);
                $('#saldoMonOrden').val(restantem);
                $('#saldoOrden').val(restantet);
                $('#antiMoneOrden').val(mon);
                $('#aplicMon').hide();

            });
            
    $('#actcliente').click(function(){
                var codigo = $('#codRegistro').val();
                var nombre = $('#nomRegistro').val();
                var rfc = $('#rfcRegistro').val();
                var dom = $('#domRegistro').val();
                var tipo = $('#tipoCliente').val();
                var number = $('#telRegistro').val();
                var cel = $('#celRegistro').val();
                var cor = $('#corRegistro').val();
                var suc = $('#sucRegistro').val();
                var desc = $('#descRegistro').val();
                var tn = $('#notCliente').val();
                var url = './cliente_guardar.php';
                var flag = 2;
                if(!tn){
                    tn = 1;
                }
                console.log(tn);

                if(nombre == ''){ 
                    $('#mensaje').html('<p class="alert alert-warning">Alerta!!, tienes que poner el nombre del cliente.</p>').show(300).delay(3000).hide(300);
                    $('#nomRegistro').focus();
                    return false;
                }else{
                    $.ajax({
                        type: 'POST',
                        data: 'codigo='+codigo+'&nombre='+nombre+'&rfc='+rfc+'&dom='+dom+'&tipo='+tipo+'&number='+number+'&cel='+cel+'&suc='+suc+'&flag='+flag+'&cor='+cor+'&desc='+desc+'&tn='+tn,
                        url: url,
                        success: function(data){
                            if(data == 1){
                                codigo++;
                            $('#codRegistro').val(codigo);
                            $('#nomRegistro').val('');
                            $('#rfcRegistro').val('');
                            $('#domRegistro').val('');
                            $('#tipoCliente').selectedIndex = 1;
                            $('#telRegistro').val('');
                            $('#celRegistro').val('');
                            $('#sucRegistro').selectedIndex = 1;
                            
                            $('#descRegistro').val('');
                            $('#nomRemitenten').val('').focus();
                            alert('Cliente editado con exito');
                            location.reload();
                            }else if(data == 2){
                                alert('Este nombre ya existe en la base de datos');
                                $('#nomRegistro').focus();
                                
                            }else if(data == 4){
                                alert('Esta razon social ya existe en la base de datos');
                                $('#rsRemitenten').focus();
                            }else{
                                alert('Fallo de registro');
                            }
                        }
                    });
                } 
            
            }); 
            $('#clienteg').click(function(){
                var codigo = $('#codRegistro').val();
                var nombre = $('#nomRegistro').val();
                var rfc = $('#rfcRegistro').val();
                var dom = $('#domRegistro').val();
                var tipo = $('#tipoCliente').val();
                var number = $('#telRegistro').val();
                var cel = $('#celRegistro').val();
                var cor = $('#corRegistro').val();
                var suc = $('#sucRegistro').val();
                var desc = $('#descRegistro').val();
                var tn = $('#notCliente').val();
                var url = './cliente_guardar.php';
                var flag = 1;

                if(!tn){
                    tn = 1;
                }
                console.log(tn);
                if(nombre == ''){ 
                    $('#mensaje').html('<p class="alert alert-warning">Alerta!!, tienes que poner el nombre del cliente.</p>').show(300).delay(3000).hide(300);
                    $('#nomRegistro').focus();
                    return false;
                }else{
                    $.ajax({
                        type: 'POST',
                        data: 'codigo='+codigo+'&nombre='+nombre+'&rfc='+rfc+'&dom='+dom+'&tipo='+tipo+'&number='+number+'&cel='+cel+'&suc='+suc+'&flag='+flag+'&cor='+cor+'&desc='+desc+'&tn='+tn,
                        url: url,
                        success: function(data){
                            if(data == 1){
                                codigo++;
                            $('#codRegistro').val(codigo);
                            $('#nomRegistro').val('');
                            $('#rfcRegistro').val('');
                            $('#domRegistro').val('');
                            $('#tipoCliente').selectedIndex = 1;
                            $('#telRegistro').val('');
                            $('#celRegistro').val('');
                            $('#sucRegistro').selectedIndex = 1;
                            $('#descRegistro').val('');
                            $('#nomRemitenten').val('').focus();
                            alert('Cliente Ingresado con exito');
                            location.reload();
                            }else if(data == 2){
                                alert('Este nombre ya existe en la base de datos');
                                $('#nomRegistro').focus();
                                
                            }else if(data == 4){
                                alert('Esta razon social ya existe en la base de datos');
                                $('#rsRemitenten').focus();
                            }else{
                                alert('Fallo de registro');
                            }
                        }
                    });
                } 
            
            }); 

            $('#codCliente').keyup(function(){

                var dato = $('#codCliente').val();
                var url = 'buscar_cliente.php';
                $.ajax({
                type:'POST',
                url:url,
                data:'dato='+dato,
                success: function(datos){
                    $('#clientesa').html(datos);
                }
            });
            return false;
            });

            $('#clientesa').change(function(){
                var dato = $('#clientesa').val();
                var sucursal = $('#succallcenter').val();
                var empleado = $('#empleado').val();
                var url = 'datoscliente.php';
                
                $.ajax({
                type:'POST',
                url:url,
                data:'dato='+dato,
                success: function(datos){
                    var separar = datos.split("|");
                    var nom = separar[0];
                    var dom = separar[1];
                    var rfc = separar[2];
                    var cel = separar[3];
                    var number = separar[4];
                    var suc = separar[5];
                    var tipo = separar[6];
                    var id = separar[7];
                    var correo = separar[8];
                    var saldo = separar[9];
                    var dcto = separar[10];
                    var tipofolio = separar[11];
                    if(tipo == 1){
                        var cliente = 'Mostrador';
                        $('#cobroEntrega').show();/* 
                        $('#monelec').show(); */
                    }else if(tipo == 2){
                        var cliente = 'Fotografo';
                        if(empleado != 99 && empleado != 1 && empleado != 2 && empleado != 5){ 
                            $('#cobroEntrega').hide();/* 
                            $('#monelec').hide(); */
                            
                        }
                    }
                    var telcel = number+' / '+cel;
                    $('#codCliente').val(dato).show(300).delay(5000);
                    $('#nomCliente').val(nom).show(300).delay(5000);
                    $('#domCliente').val(dom).show(300).delay(5000);
                    $('#tipoInfo').val(cliente).show(300).delay(5000);
                    $('#telcel').val(telcel).show(300).delay(5000);
                    $('#correoInfo').val(correo).show(300).delay(5000);
                    $('#saldoMon').val(saldo).show(300).delay(5000);
                    $('#dctoOrden').val(dcto);/* 
                    document.getElementById('tipofolio').value=tipofolio;
                    var urlf = 'sel_folio.php';
                    $.ajax({
                        type:'POST',
                        url:urlf,
                        data:'dato='+tipofolio,
                        success: function(datos){

                            $('#folio').val(datos);
                        }
                    }); */
                    console.log(datos);

                }
            });
            return false;
            });

            $('#codP').keyup(function(){

                var dato = $('#codP').val();
                var url = 'busca_prod.php';
                $.ajax({
                type:'POST',
                url:url,
                data:'dato='+dato,
                success: function(datos){
                    $('#pa').html(datos);
                }
            });
            return false;
            });
 
            $('#pa').change(function(){
                var dato = $('#pa').val();
                
                $('#codP').val(dato);
            });

            $('#tipofolio').change(function(){
                var dato = $('#tipofolio').val();
                var suc = $('#succallcenter').val();
                var url = 'sel_folio.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data:'dato='+dato+'&suc='+suc,
                    success: function(datos){

                        $('#folio').val(datos);
                    }
                });
            });
            $('#succallcenter').change(function(){
                            var suc = $('#succallcenter').val();
                            var url = 'chequeo_folio.php';
                            $.ajax({
                                type:'POST',
                                url:url,
                                data:'dato='+suc,
                                success: function(datos){

                                    $('#folio').val(datos);
                                }
                            });
                        });
            $('#crisnorm').change(function(){
                var crisnorm = $('#crisnorm').val();
                var us = $('#empleado').val();
                if(crisnorm == 1){
                    var valcris = 'Cristal Sencillo';
                    $('.crisnorma').show();
                    if(us == 2){
                        $('.crisnormac').show();
                    }
                $('#crisnormal').text(valcris);
                }else if(crisnorm == 2){
                    var valcris = 'Cristal Doble';
                    $('.crisnorma').show();
                    if(us == 2){
                        $('.crisnormac').show();
                    }
                    $('#crisnormal').text(valcris);
                }else if(crisnorm== 3){
                    $('.crisnorma').hide();
                    if(us == 2){
                        $('.crisnormac').hide();
                    }
                    $('#crisnormal').text(valcris);
                    $('#totcrisnorm').val('0');
                    $('#totcrisnormc').val('0');
                }else if(crisnorm == 4){
                    var valcris = 'Espejo Sencillo';
                    $('.crisnorma').show();
                    if(us == 2){
                        $('.crisnormac').show();
                    }
                $('#crisnormal').text(valcris);
                }else if(crisnorm == 5){
                    var valcris = 'Espejo Doble';
                    $('.crisnorma').show();
                    if(us == 2){
                        $('.crisnormac').show();
                    }
                    $('#crisnormal').text(valcris);
                }
                
            });

            $('#crisanti').change(function(){
                var crisanti = $('#crisanti').val();
                var us = $('#empleado').val();
                if(crisanti == 1){
                    var valcris = 'Cristal Antirreflejante';
                    $('.crisant').show();
                    if(us == 2){
                        $('.crisantc').show();
                    }
                $('#crisantir').text(valcris);
                }else if(crisanti== 3){
                    $('.crisant').hide();
                    if(us == 2){
                        $('.crisantc').hide();
                    }
                    $('#crisantir').text(valcris);
                    $('#totcrisanti').val('0');
                    $('#totcrisantic').val('0');
                }
                
            });

            $('#canva').change(function(){
                var canva = $('#canva').val();
                var us = $('#empleado').val();
                if(canva == 1){
                    var valcanva = 'Canva';
                    $('.canva').show();
                    if(us == 2){
                        $('.canvac').show();
                    }
                $('#canv').text(valcanva);
                }else if(canva== 0){
                    $('.canva').hide();
                    if(us == 2){
                        $('.canvac').hide();
                    }
                    $('#canv').text(valcanva);
                    $('#totcanva').val('0');
                    $('#totcanvac').val('0');
                }
                
            });

            $('#doblecara').change(function(){
                var dobcar = $('#doblecara').val();
                var us = $('#empleado').val();
                if(dobcar == 1){
                    var valdob = 'Doble cara';
                    $('.dobcar').show();
                    if(us == 2){
                        $('.dobcarc').show();
                    }
                $('#dobca').text(valdob);
                }else if(dobcar== 0){
                    $('.dobcar').hide();
                    if(us == 2){
                        $('.dobcarc').hide();
                    }
                    $('#dobca').text(valdob);
                    $('#totdobca').val('0');
                    $('#totdobcac').val('0');
                }
                
            });

             $('#tiracom').change(function(){
                var tira = $('#tiracom').val();
                var us = $('#empleado').val();
                if(tira == 1){
                    var valdob = 'Tira Completa';
                    $('.tira').show();
                    if(us == 2){
                        $('.tirac').show();
                    }
                $('#tir').text(valdob);
                }else if(tira== 0){
                    $('.tira').hide();
                    if(us == 2){
                        $('.tirac').hide();
                    }
                    $('#tir').text(valdob);
                    $('#tottira').val('0');
                    $('#tottirac').val('0');
                }
                
            });

            $('#acrilico').change(function(){
                var acrilico = $('#acrilico').val();
                var us = $('#empleado').val();
                if(acrilico == 1){
                    var valacrilico = 'Acrilico';
                    $('.acrilico').show();
                    if(us == 2){
                        $('.acrilicoc').show();
                    }
                $('#acrilic').text(valacrilico);
                }else if(acrilico== 0){
                    $('.acrilico').hide();
                    if(us == 2){
                        $('.acrilicoc').hide();
                    }
                    $('#acrilic').text(valacrilico);
                    $('#totacrilico').val('0');
                    $('#totacrilicoc').val('0');
                }
                
            });

            $('#marialuisa').change(function(){
                var ml = $('#marialuisa').val();
                var us = $('#empleado').val();
                if(ml == 1){
                    var valml = 'ML Sencilla';
                    $('.ml').show();
                    if(us == 2){
                        $('.mlc').show();
                    }
                $('#ml2').text(valml);
                }else if(ml == 2){
                    var valml = 'ML Doble';
                    $('.ml').show();
                    if(us == 2){
                        $('.mlc').show();
                    }
                    $('#ml2').text(valml);
                }else if(ml== 3){
                    $('.ml').hide();
                    if(us == 2){
                        $('.mlc').hide();
                    }
                    $('#ml2').text(valml);
                    $('#totml').val('0');
                    $('#totmlc').val('0');
                }
                
            });

            $('#respaldo').change(function(){
                var res = $('#respaldo').val();
                var us = $('#empleado').val();
                if(res == 1){
                    var valres = 'Macocell 3 mm';
                    $('.res').show();
                    if(us == 2){
                        $('.resc').show();
                    }
                $('#resp').text(valres);
                }else if(res == 2){
                    var valres = 'Foamboard';
                    $('.res').show();
                    if(us == 2){
                        $('.resc').show();
                    }
                $('#resp').text(valres);
                }else if(res == 3){
                    var valres = 'PVC';
                    $('.res').show();
                    if(us == 2){
                        $('.resc').show();
                    }
                $('#resp').text(valres);
                }else if(res == 4){
                    var valres = 'Alubond';
                    $('.res').show();
                    if(us == 2){
                        $('.resc').show();
                    }
                $('#resp').text(valres);
                }else if(res == 5){
                    var valres = 'Macocell 6 mm';
                    $('.res').show();
                    if(us == 2){
                        $('.resc').show();
                    }
                $('#resp').text(valres);
                }else if(res == 6){
                    var valres = 'Macocell 9 mm';
                    $('.res').show();
                    if(us == 2){
                        $('.resc').show();
                    }
                $('#resp').text(valres);
                }else if(res == 0){
                    var valres = 'Respaldo';
                    $('.res').hide();
                    if(us == 2){
                        $('.resc').hide();
                    }
                $('#resp').text(valres);
                $('#totres').val('0');
                $('#totresc').val('0');
                }   
            });

            $('#papel').change(function(){
                var pap = $('#papel').val();
                var us = $('#empleado').val();
                if(pap == 1){
                    var valpap = 'Papel Everyday';
                    $('.pap').show();
                    if(us == 2){
                        $('.papc').show();
                    }
                $('#pape').text(valpap);
                }else if(pap == 2){
                    var valpap = 'Papel Mate';
                    $('.pap').show();
                    if(us == 2){
                        $('.papc').show();
                    }
                $('#pape').text(valpap);
                }else if(pap == 3){
                    var valpap = 'Papel Premium';
                    $('.pap').show();
                    if(us == 2){
                        $('.papc').show();
                    }
                $('#pape').text(valpap);
                }else if(pap == 4){
                    var valpap = 'Papel Artistico';
                    $('.pap').show();
                    if(us == 2){
                        $('.papc').show();
                    }
                $('#pape').text(valpap);
                }else if(pap == 5){
                    var valpap = 'Papel Perlado';
                    $('.pap').show();
                    if(us == 2){
                        $('.papc').show();
                    }
                $('#pape').text(valpap);
                }else if(pap == 0){
                    var valpap = 'Papel';
                    $('.pap').hide();
                    if(us == 2){
                        $('.papc').hide();
                    }
                $('#pape').text(valpap);
                $('#totpap').val('0');
                $('#totpapc').val('0');
                }   
            });

            $('#textura').change(function(){
                var text = $('#textura').val();
                var us = $('#empleado').val();
                if(text == 1){
                    var valtext = 'Textura Piel';
                    $('.text').show();
                    if(us == 2){
                        $('.textc').show();
                    }
                $('#textu').text(valtext);
                }else if(text == 2){
                    var valtext = 'Textura Lino';
                    $('.text').show();
                    if(us == 2){
                        $('.textc').show();
                    }
                $('#textu').text(valtext);
                }else if(text == 3){
                    var valtext = 'Textura Sand';
                    $('.text').show();
                    if(us == 2){
                        $('.textc').show();
                    }
                $('#textu').text(valtext);
                }else if(text == 0){
                    var valtext = 'Textura';
                    $('.text').hide();
                    if(us == 2){
                        $('.textc').hide();
                    }
                $('#textu').text(valtext);
                $('#tottext').val('0');
                $('#tottextc').val('0');

                }  
            });

            $('#tipoord').change(function(){
                var tipo = $('#tipoord').val();
                /* if(tipo == 2){
                    $('#dctoOrden').prop('disabled','true');
                    $('#monelec').prop('disabled','true');
                }else{
                    $('#dctoOrden').prop('disabled','false');
                    $('#monelec').prop('disabled','false');
                } */
            });

            $('#calc').click(function(){
                var cliente = $('#codCliente').val();
                var tipoord = $('#tipoord').val();
                var cant = $('#canti').val();
                var largo = $('#largo').val();
                var ancho = $('#ancho').val();
                var umed = $('#unidmed').val();
                var cod = $('#codP').val();

                var cm = $('#crisnorm').val();
                var ca = $('#crisanti').val();
                var ml = $('#marialuisa').val();
                var res = $('#respaldo').val();
                var pap = $('#papel').val();
                var text = $('#textura').val();
                var maq = $('#maquila').val();
                var canva = $('#canva').val();
                var dobcar = $('#doblecara').val();
                var acri = $('#acrilico').val();
                var tira = $('#tiracom').val();

                var obs = $('#obsOrden').val();

                var totprecio = $('#totprecio').val();
                var totcm = $('#totcrisnorm').val();
                var totca = $('#totcrisanti').val();
                var totml = $('#totml').val();
                var totres = $('#totres').val();
                var totpap = $('#totpap').val();
                var tottext = $('#tottext').val();
                var totcanva = $('#totcanva').val();
                var totdobca = $('#totdobca').val();
                var totacrilico = $('#totacrilico').val();
                var tottira = $('#tottira').val();
                var suc = $('#succallcenter').val();

                var url = './calculos.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data:'cant='+cant+'&largo='+largo+'&ancho='+ancho+'&umed='+umed+'&cod='+cod+'&cm='+cm+'&ca='+ca+'&ml='+ml+'&res='+res+'&pap='+pap+'&text='+text+'&maq='+maq+'&totprecio='+totprecio+'&totcm='+totcm+'&totca='+totca+'&totml='+totml+'&totres='+totres+'&totpap='+totpap+'&tottext='+tottext+'&cliente='+cliente+'&canva='+canva+'&dobcar='+dobcar+'&acri='+acri+'&totcanva='+totcanva+'&totdobca='+totdobca+'&totacrilico='+totacrilico+'&tira='+tira+'&tottira='+tottira+'&tipoord='+tipoord+'&suc='+suc,
                    success: function(datos){
                        console.log(datos);
                        var separar = datos.split("|");
                        var precio = separar[0];
                        var pcm = separar[1];
                        var pca = separar[2];
                        var pml = separar[3];
                        var pres = separar[4];
                        var ppap = separar[5];
                        var ptext = separar[6];
                        var pcan = separar[7];
                        var pdob = separar[8];
                        var pacr = separar[9];
                        var ptot = separar[10]
                        var costo = separar[11];
                        var ccn = separar[12];
                        var cca = separar[13];
                        var cml = separar[14];
                        var cr = separar[15];
                        var cpap = separar[16];
                        var ctext = separar[17];
                        var ccan = separar[18];
                        var cdc = separar[19];
                        var cacr = separar[20];
                        var ctot = separar[21];
                        var ptira = separar[22];
                        var ctira = separar[23];
                        
                        $('#totprecio').val(precio);
                        $('#totcrisnorm').val(pcm);
                        $('#totcrisanti').val(pca);
                        $('#totml').val(pml);
                        $('#totres').val(pres);
                        $('#totpap').val(ppap);
                        $('#tottext').val(ptext);
                        $('#totcanva').val(pcan);
                        $('#totdobca').val(pdob);
                        $('#totacrilico').val(pacr);
                        $('#tottira').val(ptira);
                        $('#preciototal').val(ptot);

                        $('#totprecioc').val(costo);
                        $('#totcrisnormc').val(ccn);
                        $('#totcrisantic').val(cca);
                        $('#totmlc').val(cml);
                        $('#totresc').val(cr);
                        $('#totpapc').val(cpap);
                        $('#tottextc').val(ctext);
                        $('#totcanvac').val(ccan);
                        $('#totdobcac').val(cdc);
                        $('#totacrilicoc').val(cacr);
                        $('#tottirac').val(ctira);
                        $('#preciototalc').val(ctot);
                    }
                });
   
            });

            $('#GuardProdCuad').click(function(){
                var cliente = $('#codCliente').val();

                var cant = $('#canti').val();
                var largo = $('#largo').val();
                var ancho = $('#ancho').val();
                var umed = $('#unidmed').val();
                var cod = $('#codP').val();

                var cm = $('#crisnorm').val();
                var ca = $('#crisanti').val();
                var ml = $('#marialuisa').val();
                var res = $('#respaldo').val();
                var pap = $('#papel').val();
                var text = $('#textura').val();
                var maq = $('#maquila').val();
                var canva = $('#canva').val();
                var dobcar = $('#doblecara').val();
                var acri = $('#acrilico').val();
                var tira = $('#tiracom').val();

                var obs = $('#obsOrden').val();

                var totprecio = $('#totprecio').val();
                var totcm = $('#totcrisnorm').val();
                var totca = $('#totcrisanti').val();
                var totml = $('#totml').val();
                var totres = $('#totres').val();
                var totpap = $('#totpap').val();
                var tottext = $('#tottext').val();
                var totcanva = $('#totcanva').val();
                var totdobca = $('#totdobca').val();
                var totacrilico = $('#totacrilico').val();
                var total = $('#preciototal').val();
                var tottira = $('#tottira').val();

                var costot = $('#totprecioc').val();
                var ccn = $('#totcrisnormc').val();
                var cca = $('#totcrisantic').val();
                var cml = $('#totmlc').val();
                var cr = $('#totresc').val();
                var cpap = $('#totpapc').val();
                var ctext = $('#tottextc').val();
                var ccan = $('#totcanvac').val();
                var cdc = $('#totdobcac').val();
                var cacr = $('#totacrilicoc').val();
                var ctot = $('#preciototalc').val();
                var cttira = $('#tottirac').val();


                var totalo = $('#totalOrden').val();
                var subt = $('#totalFinal').val();
                var dcto = $('#dctoOrden').val();
                var anti = $('#anti').val();

                var costofinal = $('#costo').val();
                var utilidad = $('#utilidad').val();
                var suc = $('#succallcenter').val();

                var url = './guardar_producto.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data:'cant='+cant+'&largo='+largo+'&ancho='+ancho+'&umed='+umed+'&cod='+cod+'&cm='+cm+'&ca='+ca+'&ml='+ml+'&res='+res+'&pap='+pap+'&text='+text+'&maq='+maq+'&totprecio='+totprecio+'&totcm='+totcm+'&totca='+totca+'&totml='+totml+'&totres='+totres+'&totpap='+totpap+'&tottext='+tottext+'&cliente='+cliente+'&canva='+canva+'&dobcar='+dobcar+'&acri='+acri+'&totcanva='+totcanva+'&totdobca='+totdobca+'&totacrilico='+totacrilico+'&obs='+obs+'&total='+total+'&totalo='+totalo+'&subt='+subt+'&dcto='+dcto+'&costot='+costot+'&ccn='+ccn+'&cca='+cca+'&cml='+cml+'&cr='+cr+'&cpap='+cpap+'&ctext='+ctext+'&ccan='+ccan+'&cdc='+cdc+'&cacr='+cacr+'&ctot='+ctot+'&costofi='+costofinal+'&util='+utilidad+'&tira='+tira+'&tottira='+tottira+'&cttira='+cttira+'&anti='+anti+'&suc='+suc,
                    success: function(datos){
                        alert('Producto ingresado correctamente');
                        var separar = datos.split("|");
                        var data = separar[0];
                        var tot = separar[1];
                        var cfin = separar[2];
                        var utili = separar[3];
                        var ant = separar[4];
                        var sub = separar[5];
                        $('#tablaagprod tr:last').after(data);
                        $('#totalFinal').val(tot);
                        $('#costo').val(cfin);
                        $('#utilidad').val(utili);
                        $('#saldoOrden').val(ant);
                        $('#totalOrden').val(sub);
                    },
                  error: function (xhr, ajaxOptions, thrownError) {
                    alert(xhr.status);
                    alert(thrownError);
                  }
                });
   
            });

            $('#GuardOrd').click(function(){
                
                
                var tipoord = $('#tipoord').val();
                var emp = $('#empleado').val();
                var folio = $('#folio').val();
                var tipofolio = $('#tipofolio').val();
                var fecha = $('#FechaOrden').val();

                var cliente = $('#codCliente').val();

                var totalo = $('#totalOrden').val();
                var subt = $('#totalFinal').val();
                var dcto = $('#dctoOrden').val();
                var anti = $('#antiOrden').val();
                var antimon = $('#antiMoneOrden').val();
                var saldo = $('#saldoOrden').val();
                var costo = $('#costo').val();
                var utilidad = $('#utilidad').val();

                var obsp = $('#obsPedido').val();
                var hrent = $('#hrent').val();
                var fechaent = $('#fechaent').val();
                var mp = $('#metodopago').val();

                var suc = $('#succallcenter').val();
                if(cliente != ''){

                    

                        if((mp == 0 && anti == 0) || (mp !=0 && anti >0)){

                    

                        

                var url = './guardar_pedido.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data:'tipoord='+tipoord+'&emp='+emp+'&folio='+folio+'&tipofolio='+tipofolio+'&fecha='+fecha+'&cliente='+cliente+'&sub='+totalo+'&dcto='+dcto+'&total='+subt+'&anti='+anti+'&saldo='+saldo+'&obsp='+obsp+'&hrent='+hrent+'&fechaent='+fechaent+'&mp='+mp+'&costo='+costo+'&utilidad='+utilidad+'&antimon='+antimon+'&suc='+suc,
                    success: function(data){
                       if(data == 'cliente'){
                            alert('No has seleccionado el cliente');
                            $('#codCliente').focus();
                        }else if(data == 'chofer'){
                            alert('No has seleccionado al chofer');
                            $('#codChofer').focus();
                        }else if(data == 'pago'){
                            alert('No has seleccionado el tipo de pago');
                            $('#phe').focus();
                        }else if(data == 'gasto'){
                            alert('No has capturado ningun gasto/descuento');
                            $('#gastos').focus();
                        }else{

                        var separar = data.split("|");
                        var ser = separar[0];
                        var fol = separar[1];
                        var suc = separar[2];
                        var nc = separar[3];
                        var folio = separar[4];
                        var numcel = separar[5];
                        var user = separar[6];
                        var priv = separar[7];
                        var tipoc = separar[8];
                        
                        if(suc == 1){
                            if(suc == '1'){
                            window.open('../formato.php?serie='+ser+'&folio='+fol);
                            window.open('https://wa.me/52'+numcel+'?text=Hola%20'+nc+'!%0D%0ATu%20orden%20'+folio+'%20ha%20sido%20capturada%20correctamente%20recibiras%20una%20notificación%20cuando%20este%20lista%20para%20entrega.%20%0D%0A%0D%0ANotificaciones%20automáticas%20del%20sistema%20Cuadropolis%0D%0ARequiere%20pedido,%20cotización%20o%20información%0D%0AEnvía%20un%20mensaje%20a%20Cuadropolis%20por%20WhatsApp.%20https://wa.me/message/5RI5IX253UWNB1');

                            }else if(suc != '1' && user != '99'){
                            window.open('../formato_ticket.php?serie='+ser+'&folio='+fol);
                            window.open('https://wa.me/52'+numcel+'?text=Hola%20'+nc+'!%0D%0ATu%20orden%20'+folio+'%20ha%20sido%20capturada%20correctamente%20recibiras%20una%20notificación%20cuando%20este%20lista%20para%20entrega.');


                            }if(suc != '1' && user == '99'){
                            window.open('../formato.php?serie='+ser+'&folio='+fol);
                            window.open('https://wa.me/52'+numcel+'?text=Hola%20'+nc+'!%0D%0ATu%20orden%20'+folio+'%20ha%20sido%20capturada%20correctamente%20recibiras%20una%20notificación%20cuando%20este%20lista%20para%20entrega.%20%0D%0A%0D%0ANotificaciones%20automáticas%20del%20sistema%20Cuadropolis%0D%0ARequiere%20pedido,%20cotización%20o%20información%0D%0AEnvía%20un%20mensaje%20a%20Cuadropolis%20por%20WhatsApp.%20https://wa.me/message/5RI5IX253UWNB1');

                            }
                        }else if(tipoc == 1 && suc != 1){
                            window.open('../formato_ticket.php?serie='+ser+'&folio='+fol);
                            window.open('https://wa.me/52'+numcel+'?text=Hola%20'+nc+'!%0D%0ATu%20orden%20'+folio+'%20ha%20sido%20capturada%20correctamente%20recibiras%20una%20notificación%20cuando%20este%20lista%20para%20entrega.');

                        }
                        //window.open("https://docs.google.com/viewerng/viewer?url="+"http://sistema.cuadropolis.mx/"+ser+fol+"/"+ser+fol+".pdf");
                        
                        
                        location.reload();
                        }
                    },
                  error: function (xhr, ajaxOptions, thrownError) {
                    alert(xhr.status);
                    alert(thrownError);
                  }
                });
                    }else{
                        alert('Debes seleccionar un metodo de pago');
                        $('#metodopago').focus();
                    }

                
            }else{
                alert('Debes seleccionar un cliente');
                $('#codCliente').focus();
            }
                
   
            });

            $('#LimpiarAgP').click(function(){
                $('#canti').val('1');
                $('#largo').val('');
                $('#ancho').val('');
                $('#umed').selectedIndex = 1;
                $('#codP').val('');
                $('#pa').val('');
                $('#crisnorm').selectedIndex = 1;
                $('#crisanti').selectedIndex = 3;
                $('#marialuisa').selectedIndex = 3;
                $('#respaldo').selectedIndex = 1;
                $('#papel').selectedIndex = 0;
                $('#textura').selectedIndex = 0;
                $('#maquila').val('0');
                $('#canva').selectedIndex = 0;
                $('#acrilico').selectedIndex = 0;
                $('#doblecara').selectedIndex = 0;

                $('#obsOrden').val('');

                $('#totprecio').val('0');
                $('#totcrisnorm').val('0');
                $('#totcrisanti').val('0');
                $('#totml').val('0');
                $('#totres').val('0');
                $('#totpap').val('0');
                $('#tottext').val('0');
                $('#totcanva').val('0');
                $('#totdobca').val('0');
                $('#totacrilico').val('0');
                $('#preciototal').val('0');

                
                $('.crisant').hide();
                $('.ml').hide();
                $('.pap').hide();
                $('.text').hide();
                $('.canva').hide();
                $('.dobcar').hide();
                $('.acrilico').hide();
                
            });

            $('#antiOrden').keyup(function(){
                var total = $('#totalFinal').val();
                var antimon = $('#antiMoneOrden').val(); 
                var anticipo = $('#antiOrden').val();
                var res = total - anticipo - antimon;
                var fi = Math.ceil10(res,-2); 
                $('#saldoOrden').val(fi);
            });

            $('#dctoOrden').keyup(function(){
                var subt = $('#totalOrden').val();
                var totalf = $('#totalFinal').val();
                var dcto = $('#dctoOrden').val();
                var anti = $('#antiOrden').val();
                var costo = $('#costo').val();
                var util = $('#utilidad').val();
                var saldo = $('#saldoOrden').val();
                var url = './calc_desc.php';
                $.ajax({
                    type:'POST',
                    url:url,
                    data: 'subt='+subt+'&totalf='+totalf+'&dcto='+dcto+'&anti='+anti+'&costo='+costo+'&util='+util+'&saldo='+saldo,
                    success: function(datos){
                        var separar = datos.split("|");
                        var total = separar[0];
                        var saldo = separar[1];
                        var gan = separar[2];
                        
                        $('#totalFinal').val(total);
                        $('#utilidad').val(gan);
                        $('#saldoOrden').val(saldo);
                    },
                  error: function (xhr, ajaxOptions, thrownError) {
                    alert(xhr.status);
                    alert(thrownError);
                  }
                });
                
            });

          });

function EliminarP(val,val2,val3,val4){
    var folio = $('#folio').val();
    var totalf = $('#totalFinal').val();
    var fecha = $('#FechaOrden').val();
    var subt = $('#totalOrden').val();
    var dcto = $('#dctoOrden').val();
    var anti = $('#antiOrden').val();
    var costo = $('#costo').val();
    var util = $('#utilidad').val();
    
    var flag = 1;
    if(confirm('Estas seguro de eliminar el producto?')){
    var url = './elim_prod.php';
    $.ajax({
        type:'POST',
        url:url,
        data: 'dato='+val+'&tot='+val2+'&totf='+totalf+'&subt='+subt+'&dcto='+dcto+'&anti='+anti+'&folio='+folio+'&flag='+flag+'&fecha='+fecha+'&costo='+costo+'&util='+util+'&costop='+val3+'&foliof='+val4,
        success: function(datos){
            var separar = datos.split("|");
            var total = separar[0];
            var saldo = separar[1];
            var costof = separar[2];
            var utilidad = separar[3];
            alert('Producto eliminado correctamente');
            $('#totalOrden').val(total);
            $('#totalFinal').val(total);
            $('#saldoOrden').val(saldo);
            $('#costo').val(costof);
            $('#utilidad').val(utilidad);
            $('#'+val).hide();
        },
      error: function (xhr, ajaxOptions, thrownError) {
        alert(xhr.status);
        alert(thrownError);
      }
    });
    }else{
        alert('Producto no eliminado');
    }


}

      </script>
	</body>